# (c) Copyright 2009-2013. CodeWeavers, Inc.

import os
import traceback

import gobject
import gtk
import gtk.glade
gtk.gdk.threads_init()

import cxproduct
import cxlog
import cxutils

import cxguitools


class UsageDialogController(object):

    def __init__(self):

        try:
            gladepath = os.environ["CX_GLADEPATH"]
        except KeyError:
            gladepath = os.path.join(cxutils.CX_ROOT, "lib", "python", "glade")

        self.gladefile = os.path.join(gladepath, "usagedialog.ui")

        if not gtk.glade.textdomain() == "crossover":
            locale_path = os.path.join(cxutils.CX_ROOT, "share", "locale")
            gtk.glade.bindtextdomain("crossover", locale_path)
            gtk.glade.textdomain("crossover")
        self.xml = gtk.Builder()
        self.xml.add_from_file(self.gladefile)
        self.xml.connect_signals(self)

        try:
            self.xml.get_object("UsageDialog").set_icon(
                cxguitools.get_std_icon('cxregister'))
        except gobject.GError:
            cxlog.warn("Couldn't load icon:\n%s" % traceback.format_exc())

    def usage_cancel(self, _caller):
        gtk.main_quit()

    def log_usage_clicked(self, _caller):
        cxproduct.save_setting('CrossOver', 'ReportWineUsage', '1')
        gtk.main_quit()

    def no_usage_clicked(self, _caller):
        cxproduct.save_setting('CrossOver', 'ReportWineUsage', '0')
        gtk.main_quit()
